Foro

Home Forums Android Duda Error en PlayStore

This topic contains 1 reply, has 2 voices, and was last updated by Jose Jesus Perez Rivas Jose Jesus Perez Rivas 4 meses, 1 semana .

Viendo 2 respuestas - de la 1 a 2 (de 2 en total)
  • Duda Error en PlayStore

    Intervenciones
  • skazy 
    Participant

    Que tal amigos, tengo poco trabajando en esta plataforma y me eh topado con problemas en varios dispositivos ya que aparece la leyenda “Tu Dispositivo no es compatible con esta versión” me gustaría saber como puedo lograr que sea compatible con mas dispositivos, no se si el problema sea por algo del config igual lo pongo a continuación:

     Code: arbitrary (select
    1.
    2.
    3.
    4.
    5.
    6.
    7.
    8.
    9.
    10.
    11.
    12.
    13.
    14.
    15.
    16.
    17.
    18.
    19.
    20.
    21.
    22.
    23.
    24.
    25.
    26.
    27.
    28.
    29.
    30.
    31.
    32.
    33.
    34.
    35.
    36.
    37.
    38.
    39.
    40.
    41.
    42.
    43.
    44.
    45.
    46.
    47.
    48.
    49.
    50.
    51.
    52.
    53.
    54.
    55.
    56.
    57.
    58.
    59.
    60.
    61.
    62.
    63.
    64.
    65.
    66.
    67.
    68.
    69.
    70.
    71.
    72.
    73.
    74.
    75.
    76.
    77.
    78.
    79.
    80.
    81.
    82.
    83.
    84.
    85.
    86.
    87.

    <?xml version='1.0' encoding='utf-8'?>
    <widget id="mx.pruebas.test" version="1.1.1" xmlns="http://www.w3.org/ns/widgets" xmlns:cdv="http://cordova.apache.org/ns/1.0">
        <name>APP DE PRUEBA</name>
        <description>
            RUEBA App Android
        </description>
        <author email="oscar90.aguilar@gmail.com" href="http://desingsgdl.com.mx">
            
        </author>
      
        <content src="index.html" />
      
      <preference name="DisallowOverscroll" value="true" />
      <preference name="android-minSdkVersion" value="26" />
      <preference name="orientation" value="portrait" />
      <preference name="target-device" value="handset" />
      <!-- <preference name="StatusBarOverlaysWebView" value="false" /> iOS -->
        <!-- <preference name="StatusBarBackgroundColor" value="#000000" /> iOS -->
      
      <plugin name="cordova-plugin-whitelist" source="npm" />
        <plugin name="cordova-plugin-console" source="npm" />
      <plugin name="cordova-plugin-dialogs" source="npm" />
      <plugin name="cordova-plugin-inappbrowser" source="npm" />
        <!-- <plugin name="cordova-plugin-statusbar" source="npm" />  -->
      <plugin name="cordova-plugin-splashscreen" source="npm" />
      <!-- <plugin name="cordova-plugin-x-socialsharing" source="npm" /> -->
      <!-- <plugin name="nl.kingsquare.cordova.background-audio" source="npm" /> Audio en segundo plano iOS  -->
      
      <icon src="icon.png" />
        <platform name="android">
          <splash src="splash.png" />
            <icon density="ldpi" src="res/icon/android/drawable-ldpi-icon.png" /> <!-- 36px -->
            <icon density="mdpi" src="res/icon/android/drawable-mdpi-icon.png" /> <!-- 48px -->
            <icon density="hdpi" src="res/icon/android/drawable-hdpi-icon.png" /> <!-- 72px -->
            <icon density="xhdpi" src="res/icon/android/drawable-xhdpi-icon.png" /> <!-- 96px -->
            <icon density="xxhdpi" src="res/icon/android/drawable-xxhdpi-icon.png" /> <!-- 144px -->
            <icon density="xxxhdpi" src="res/icon/android/drawable-xxxhdpi-icon.png" /> <!-- 192px -->
            <!-- <splash density="land-xhdpi" src="res/screen/android/drawable-land-xhdpi-screen.png" /> 1280px720px -->
            <!-- <splash density="port-ldpi" src="res/screen/android/drawable-port-ldpi-screen.png" />  200x320px -->
            <!-- <splash density="port-mdpi" src="res/screen/android/drawable-port-mdpi-screen.png" /> 320x480px -->
            <!-- <splash density="port-hdpi" src="res/screen/android/drawable-port-hdpi-screen.png" /> 480x800px -->
            <!-- <splash density="port-xhdpi" src="res/screen/android/drawable-port-xhdpi-screen.png" /> 720px1280px -->
            <!-- <splash density="port-xxhdpi" src="res/screen/android/drawable-port-xxhdpi-screen.png" /> 960px1600px -->
            <!-- <splash density="port-xxxhdpi" src="res/screen/android/drawable-port-xxxhdpi-screen.png" />  1280px1920px -->
        </platform>
        <platform name="ios">
        <icon height="29" platform="ios" src="res/icon/ios/icon-small.png" width="29" />
        <icon height="40" platform="ios" src="res/icon/ios/icon-40.png" width="40" />
        <icon height="50" platform="ios" src="res/icon/ios/icon-50.png" width="50" />
            <icon height="57" platform="ios" src="res/icon/ios/icon.png" width="57" />
        <icon height="58" platform="ios" src="res/icon/ios/icon-small@2x.png" width="58" />
        <icon height="60" platform="ios" src="res/icon/ios/icon-60.png" width="60" />
        <icon height="72" platform="ios" src="res/icon/ios/icon-72.png" width="72" />
        <icon height="76" platform="ios" src="res/icon/ios/icon-76.png" width="76" />
        <icon height="80" platform="ios" src="res/icon/ios/icon-40@2x.png" width="80" />
        <icon height="87" platform="ios" src="res/icon/ios/icon-small@3x.png" width="87" />
        <icon height="100" platform="ios" src="res/icon/ios/icon-50@2x.png" width="100" />
            <icon height="114" platform="ios" src="res/icon/ios/icon@2x.png" width="114" />
            <icon height="120" platform="ios" src="res/icon/ios/icon-60@2x.png" width="120" />
        <icon height="144" platform="ios" src="res/icon/ios/icon-72@2x.png" width="144" />
            <icon height="152" platform="ios" src="res/icon/ios/icon-76@2x.png" width="152" />
            <icon height="180" platform="ios" src="res/icon/ios/icon-60@3x.png" width="180" />
        <splash height="480" platform="ios" src="res/screen/ios/Default-iphone.png" width="320" />
        <splash height="960" platform="ios" src="res/screen/ios/Default@2x-iphone.png" width="640" />
            <splash height="1136" platform="ios" src="res/screen/ios/Default-568h@2x-iphone.png" width="640" />
            <splash height="1334" platform="ios" src="res/screen/ios/Default-667h.png" width="750" />
            <splash height="2208" platform="ios" src="res/screen/ios/Default-736h.png" width="1242" />
            <splash height="1242" platform="ios" src="res/screen/ios/Default-Landscape-736h.png" width="2208" />
        </platform>
      
        <access origin="*" />
        <allow-intent href="http://*/*" />
        <allow-intent href="https://*/*" />
        <allow-intent href="tel:*" />
        <allow-intent href="sms:*" />
        <allow-intent href="mailto:*" />
        <allow-intent href="geo:*" />
        <platform name="android">
            <allow-intent href="market:*" />
        </platform>
        <platform name="ios">
            <allow-intent href="itms:*" />
            <allow-intent href="itms-apps:*" />
            <preference name="BackupWebStorage" value="none" />
        </platform>

    </widget>

    Espero alguien pueda ayudarme con este inconveniente.
    Saludos y gracias!

    • This topic was modified 4 meses, 1 semana by Jose Jesus Perez Rivas Jose Jesus Perez Rivas. Reason: Debes usar la herramienta [code] del foro para que tu código se vea correctamente

    • This topic was modified 4 meses, 1 semana by Jose Jesus Perez Rivas Jose Jesus Perez Rivas. Reason: Debes usar la herramienta [code] del foro para que tu código se vea correctamente
    Jose Jesus Perez Rivas
    Jose Jesus Perez Rivas 
    Keymaster

    Hola @skazy,

    por lo pronto en tu código tienes asignada una mínima versión de la SDK de Android con valor 26 por lo que los dispositivos que tengan un sistema operativo con una versión anterior no soportarán tu app.

    En este enlace tienes mucha información de que parámetros puedes usar para preparar las especificaciones de tu proyecto:

    http://docs.phonegap.com/phonegap-build/configuring/preferences/

    Por otro lado en este enlace puedes ver el listado de SO que soportan la que tienes añadida:

    https://developer.android.com/distribute/best-practices/develop/target-sdk

    En tu caso los que tengas Android 8.0 o superior.

    Saludos!


Viendo 2 respuestas - de la 1 a 2 (de 2 en total)

You must be logged in to reply to this topic.

RT @brian_d_vaughn: ⚛️ Library authors have often requested a way to log warnings that include the React "component stack". PR 15170 adds t…04:48 AM Mar 22nd